Loading...
Searching...
No Matches
CChannel Class Reference

## Public Member Functions

bool | Play ()
bool | Pause ()
bool | Stop ()
bool | SetPosition (const Math::Vector &pos, bool relativeToListener=false)
bool | SetFrequency (float freq)
float | GetFrequency ()
float | GetCurrentTime ()
void | SetCurrentTime (float current)
float | GetDuration ()
bool | SetVolume (float vol)
float | GetVolume ()
void | SetVolumeAtrib (float volume)
float | GetVolumeAtrib ()
bool | IsPlaying ()
bool | IsReady ()
bool | IsLoaded ()
bool | SetBuffer (CBuffer *buffer)
bool | HasEnvelope ()
SoundOper & | GetEnvelope ()
void | PopEnvelope ()
int | GetPriority ()
void | SetPriority (int pri)
void | SetStartAmplitude (float gain)
void | SetStartFrequency (float freq)
void | SetChangeFrequency (float freq)
float | GetStartAmplitude ()
float | GetStartFrequency ()
float | GetChangeFrequency ()
float | GetInitFrequency ()
void | AddOper (SoundOper oper)
void | ResetOper ()
SoundType | GetSoundType ()
void | SetLoop (bool loop)
void | Mute (bool mute)
bool | IsMuted ()
void | Reset ()
int | GetId ()

The documentation for this class was generated from the following files:

- src/sound/oalsound/channel.h
- src/sound/oalsound/channel.cpp